Installata la nuova OpenMandriva 4.1. Problema con grub customizer

Instalklatya! Grande lavoro, sembra che tutto fili liscio: veloce, stabile…
Un appunto: la customizzazione di Grub nella vecchia versione stava in >impostazioni di sistema>avvio e spegnimento. Non c’è più. Qualcosa del genere si trova nel centro di controllo >sistema >configura l’avvio del sistema, ma non funziona. Nei pacchetti installati grub customizer non c’è: tentando di installarlo dà questo errore: [’\n Problema: conflicting requests\n - nothing provides libarchive.so.16()(64bit) needed by grub-customizer-5.0.6-2.x86_64’]
Si può fare qualcosa?

Vero, non lo vedo.
Mi informo.

Ecco perchè non sono riuscito a sistemare il mio grub.
Avevo visto che il configuratore non funzionava, nonostante sembrasse farlo, ma non avevo capito la causa.

Installata anche sul muletto, pacchetti settati rolling! Anche qui tutto ok, al momento. Si tratta di un Intel Centrino di 10 anni fa, 4 gb di ram. Gira che è un piacere.
P.s. Volevo correggere le stupidaggini che ho scritto nel primo post, accidenti alla fretta… ma non si può editare un post? Non trovo il modo…

Clicca sui tre puntini vicino a “Rispondi” appaiono altre icone, scegli la matita.
Da tenere presente che è impostato un limite di tempo entro il quale si può editare il proprio post però dovrebbe essere più di 7 ore…

PS>
Sto sempre aspettando la risposta, appena ne so di più riferisco.

Ah, ok… troppo tardi, però, non posso più modificare… resterà a perenne (!) memoria della mia sbadataggine!

Se è importante posso sempre editarlo io: dimmi le modifiche da fare.

Correggere i pasticci di digitazione! :smiley: nel titolo (!) e la prima parola del testo… mi vergogno!

Fatto nel titolo.
Ma come ‘mi vergogno’ ? Beh mi ci è voluto un po’ per decifrare cosa significava :stuck_out_tongue: però a me piace lo stesso.
Se proprio insisti correggo cmq.

1 Like

Di solito rileggo prima di inviare… stavolta non l’ho fatto! :wink: Grazie!

1 Like

Dato che non mi rispondono nel canale IRC ho aperto un bugreport.

Giusto per la cronaca, in cooker è ricomparso

Perfetto… attendiamolo allora anche nella 4.1…

Uhm… Ho investigato ulteriormente, e c’è qualcosa che quadra poco…
Pensavo fosse un fix di Plasma 5.18, invece ho scoperto che sembra un bug in 4.1 e Rolling dato che le ISO cooker con Plasma 5.17.x lo hanno il modulo GRUB2 in Systemsettings.

Altra scoperta: nella 4.1 in live mode c’è il modulo. Nel sistema, appena installato, il modulo scompare.
Perchè? :thinking:
A quanto sembra, è ‘colpa’ del post-install di calamares

Removed:
  calamares-3.2.17.1-3.x86_64                 console-setup-1.194-1.noarch      
  grub2-editor-0.8.1-4.x86_64                 grub2-extra-2.04-2.x86_64         
  lib64boost_python38_1.72.0-1.72.0-4.x86_64  lib64calamares3-3.2.17.1-3.x86_64 
  squashfs-tools-4.4-1.x86_64                 xloadimage-4.1-1.x86_64

Quindi:

$ sudo dnf --refresh install grub2-editor

.
Postedit:
PS>
‘colpa’ del post-install ma non di calamares, per essere chiari…
Piuttosto la colpa è di una serie di dipendenze non corrette.
Riportato ai nostri, il problema dovrebbe essere sistemato a breve.

1 Like

Perfetto, funziona. Usandolo, come succedeva prima, appare il messaggio che avvisa del fallimento dell’operazione. Al riavvio però tutto funziona regolarmente. Grazie!

1 Like